locals {
  // Cloudfront Origin Access Identity
  origin_id      = regex(var.oai_regex_pattern, var.origin_access_id)[1]
  origin_id_path = format("origin-access-identity/cloudfront/%s", local.origin_id)

  // Default Cache Behavior
  default_s3_cache_bucket = var.default_bucket_arn == "" ? "" : regex(var.s3_regex_pattern, var.default_bucket_arn)[1]
  default_s3_origin_id    = var.default_cache_behavior.origin_id == "empty" ? local.default_s3_cache_bucket : var.default_cache_behavior.origin_id
}