# https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudfront_distribution#attributes-reference

output "id" {
  description = "The ID of the Cloudfront CDN"
  value       = aws_cloudfront_distribution.cdn_s3_distribution.id
}

output "arn" {
  description = "The ARN of the Cloudfront CDN"
  value       = aws_cloudfront_distribution.cdn_s3_distribution.arn
}

output "domain_name" {
  description = "The domain name assigned to the Cloudfront CDN"
  value       = aws_cloudfront_distribution.cdn_s3_distribution.domain_name
}

output "path_patterns" {
  description = "The path pattern(s) for the ordered cache behavior(s) assigned to the Cloudfront CDN"
  value       = { for key, value in var.cache_behaviors : key => trimsuffix(trimprefix(var.cache_behaviors[key].path_pattern, "/"), "/*") }
}

output "key_group_id" {
  description = "The ID of the Key Group"
  value       = aws_cloudfront_key_group.trusted_keys.id
}